/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "main.h"

#ifdef EEE

enum {
    COL_ID,
    COL_TEXT,
    COL_NB
};

const gchar *lid_display[] = {
    N_("None"),
    N_("Suspend"),
    N_("Halt")
};

GtkWidget *
get_energy_widget ()
{
    int i;
    GtkWidget *vbox, *hbox;
    GtkWidget *frame, *label;
    GtkListStore *store;
    GtkTreeIter iter;
    GtkCellRenderer *renderer;

    vbox = gtk_vbox_new (FALSE, 0);

    hbox = gtk_hbox_new (FALSE, 0);
    gtk_widget_show (hbox);

    label = gtk_label_new (_("Action to perform when closing the lid: "));
    gtk_box_pack_start (GTK_BOX (hbox), label, FALSE, FALSE, 0);
    gtk_widget_show (label);

    store = gtk_list_store_new (COL_NB, G_TYPE_INT, G_TYPE_STRING);
    for (i=0;i<LID_NB;i++)
    {
        gtk_list_store_append (store, &iter);
        gtk_list_store_set (store, &iter,
                            COL_ID, i,
                            COL_TEXT, lid_display[i], -1);
    }

    dialog->lid_combo = gtk_combo_box_new_with_model (GTK_TREE_MODEL (store));
    renderer = gtk_cell_renderer_text_new ();
    gtk_cell_layout_pack_start (GTK_CELL_LAYOUT (dialog->lid_combo),
                                renderer, TRUE);
    gtk_cell_layout_add_attribute (GTK_CELL_LAYOUT (dialog->lid_combo),
                                   renderer, "text", 1);
    gtk_box_pack_start (GTK_BOX (hbox), dialog->lid_combo, FALSE, FALSE, 0);
    gtk_widget_show (dialog->lid_combo);

    frame = xfce_framebox_new (_("Lid action:"), TRUE);
    gtk_frame_set_shadow_type (GTK_FRAME (frame), GTK_SHADOW_NONE);
    xfce_framebox_add (XFCE_FRAMEBOX (frame), hbox);
    gtk_box_pack_start (GTK_BOX (vbox), frame, FALSE, FALSE, 4);
    gtk_widget_show (frame);

    return vbox;
}

#endif /* EEE */
